com.brightcove.player.mediacontroller

## Interface BrightcoveMediaControlRegistry

- All Known Implementing Classes:
    BrightcoveMediaControlRegistryImpl

      public interface BrightcoveMediaControlRegistry

  Defines the interface for managing a collection of controllers for media control buttons which use an icon fontset to present the button operation via a glyph defined by the font.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clears the registry of all media controls and any button controllers.
    `ButtonController` | `getButtonController(int id)` Gets a particular button controller for a given button identifier.
    `java.util.List<ButtonController>` | `getButtonControllers()` Gets a list of all registered button controllers.
    `int` | `getId(android.view.View view)` Maps a media control view to a resource identifier.
    `int` | `getManagedState(int id)` Obtain the managed state information from the controller with a given Android resource id.
    `java.util.List<ButtonState>` | `getStateList(int id)` Implements a getter for the state list associated with a given button.
    `android.view.View` | `getView(int id)` Gets a media control view with a given resource id.
    `android.view.View` | `getView(java.lang.String resourceTag)` Gets a media control view with a given resource tag (the last portion of the textual resource id, e.g.
    `void` | `register(ButtonController controller)` Registers a given button controller.
    `void` | `register(android.view.View control)` Registers a media control.

- - ### Method Detail

    - #### clear

          void clear()

      Clears the registry of all media controls and any button controllers.

    - #### getButtonControllers

          java.util.List<ButtonController> getButtonControllers()

      Gets a list of all registered button controllers.
      Returns:
        An empty list if not controllers are registered, the list of registered controllers otherwise.

    - #### getButtonController

          ButtonController getButtonController(int id)

      Gets a particular button controller for a given button identifier.
      Parameters:
        `id` - The given button identifier.
      Returns:
        null if there is no associated button controller, the associated ButtonController object otherwise.

    - #### getManagedState

          int getManagedState(int id)

      Obtain the managed state information from the controller with a given Android resource id.
      Returns:
        -1 if no matching controller is found, the non-negative value otherwise.

    - #### getView

          android.view.View getView(int id)

      Gets a media control view with a given resource id.
      Parameters:
        `id` - The Android resource identifier.
      Returns:
        null if no such control exists in the registry, the View object otherwise.

    - #### getView

          android.view.View getView(java.lang.String resourceTag)

      Gets a media control view with a given resource tag (the last portion of the textual resource id, e.g. "@+id/tag").
      Parameters:
        `resourceTag` - The Android resource identifier.
      Returns:
        null if no such control exists in the registry, the View object otherwise.

    - #### getId

          int getId(android.view.View view)

      Maps a media control view to a resource identifier.
      Parameters:
        `view` - The given media control view.
      Returns:
        -1 if there is no such View in the registry, the associated resource id otherwise.

    - #### getStateList

          java.util.List<ButtonState> getStateList(int id)

      Implements a getter for the state list associated with a given button.
      Parameters:
        `id` - The given button resource id.
      Returns:
        an empty list if no button state has been defined for the given button, a non-empty list otherwise.

    - #### register

          void register(ButtonController controller)

      Registers a given button controller.
      Parameters:
        `controller` - The given button controller.

    - #### register

          void register(android.view.View control)

      Registers a media control.
      Parameters:
        `control` - The given media control.